import Flutter
import UIKit
import AppLovinSDK

var globalMethodChannel: FlutterMethodChannel?

public class SwiftFlutterApplovinMaxPlugin:  NSObject, FlutterPlugin {
    private var rewardMax = ALMAXReward();
    private var interMax = ALMAXInterstitial();

    public static func register(with registrar: FlutterPluginRegistrar) {
        globalMethodChannel = FlutterMethodChannel(name: "fgx_applovin", binaryMessenger: registrar.messenger())
        let instance = SwiftFlutterApplovinMaxPlugin()
        registrar.addMethodCallDelegate(instance, channel: globalMethodChannel!)
    }

    public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult) {
        switch call.method {
        /*Reward*/
        case "InitSdk":
            ALSdk.shared()?.mediationProvider = ALMediationProviderMAX
            ALSdk.shared()?.initializeSdk(completionHandler: { configuration in })
            result(true)
        case "InitRewardAd":
            rewardMax.initRewardedApplovin(call)
            result(true)
        case "ShowRewardVideo":
            if rewardMax.Ad?.isReady ?? false {
                rewardMax.Ad?.show()
                result(true)
            }
        case "IsRewardLoaded":
            result(rewardMax.Ad?.isReady ?? false)
        /*Inter*/
        case "InitInterAd":
            interMax.initInterApplovin(call)
            result(true)
        case "ShowInterVideo":
            if interMax.Ad?.isReady ?? false {
                interMax.Ad?.show()
                result(true)
            }
        case "IsInterLoaded":
            result(interMax.Ad?.isReady ?? false)
        case "ConfigUser":
            if let args = call.arguments as? Dictionary<String, Any>,
               let userId = args["userId"] as? String {
                ALSdk.shared()?.userIdentifier = userId
            }
            result(true)
        default:
            result(FlutterMethodNotImplemented)
        }
    }
}
